using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

public partial class OpenIddictScope
{
    [Key]
    [Column(TypeName = "citext")]
    public string Id { get; set; } = null!;

    [Column(TypeName = "citext")]
    public string? ConcurrencyToken { get; set; }

    [Column(TypeName = "citext")]
    public string? Description { get; set; }

    [Column(TypeName = "citext")]
    public string? Descriptions { get; set; }

    [Column(TypeName = "citext")]
    public string? DisplayName { get; set; }

    [Column(TypeName = "citext")]
    public string? DisplayNames { get; set; }

    [Column(TypeName = "citext")]
    public string? Name { get; set; }

    [Column(TypeName = "citext")]
    public string? Properties { get; set; }

    [Column(TypeName = "citext")]
    public string? Resources { get; set; }
}
